切换风格

Wizard Sky California Sunset glow Black Cloud Beige Dragon Lavender NewYear City Snow Flowers London
收藏本站XSS平台字符串转换jsfuck
[片段]ubuntu下更新svn版本方法[复制链接]
发表于 2012-8-7 00:17:01 | 显示全部楼层 |!read_mode!
自己找了好久,主要是为了更新msf版本,svn1.6的貌似不支持msfudpate功能,svn1.7的才可以。。。。
HOWTO: Upgrade to Subversion 1.7
This has been tested on Oneiric, and should work all the way down to Lucid. Simply run these commands in a terminal:

Code:
  1. echo "deb http://opensource.wandisco.com/ubuntu lucid svn17" | sudo tee /etc/apt/sources.list.d/svn.list
  2.        sudo wget -q http://opensource.wandisco.com/wandisco-debian.gpg -O- | sudo apt-key add -
  3.        sudo apt-get update
  4.        sudo apt-get dist-upgrade
复制代码
Note: this is the official repository from WANdisco, and should be considered safe.

Also of note: this repository includes a compatible "libsvn-java" package, which you can then use to run Subclipse 1.8 in JavaHL mode.

You will also have to add this line to your eclipse.ini:

Code:
      -Djava.library.path=/usr/lib/jni

操千曲而后晓声,观千剑而后识器。
发表于 2012-8-7 01:43:13 | 显示全部楼层
上述方法需要更新系统中的软件,耗费的时间较长,可以先尝试获取下SVN的版本然后在升级测试

深刻的反省
sudo apt-get update
sudo apt-get dist-upgrade
这个动作很危险,我事前应该多考虑下,可能会在更新输入法和系统语言时对编码做了改动,而安装msf和nessus
时的编码还是原来的编码,,

所以在msf中load nessus并在扫描后将结果导入到msf表中时会提示编码问题,所以上述方法不适合使用

不过可能尝试获取msf的svn版本号控制(建议网速好的情况下或是挂国外的vpn)
svn co https://www.metasploit.com/svn/framework3/trunk/ msf3


操千曲而后晓声,观千剑而后识器。

代码区

GMT+8, 2020-10-1 20:36

Powered by Discuz! X2

© 2001-2018 Comsenz Inc.

回顶部